<script setup>
import { IndexPage } from '@/app/core/pages/crud';
import model from '@/modules/product/models/variation';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import RouterLink from "@/app/components/vue/RouterLink.vue";
import Index from '@/app/components/crud/Index.vue';
</script>

<script>
export default {
    props: {
        product: {
            type: Object,
            required: true,
        },
    },
    data() {
        return new IndexPage({
            context: this,
            title: this.__('Вариации продукта: :product', {
                product: this.product.model_number,
            }),
            breadcrumbs: [
                {
                    label: this.__('Продукты'),
                    path: 'product/product',
                },
            ],
            model: model,
            http: {
                path: 'product/variation',
                query: {
                    'with[0]': 'options',
                    'filter[product_id]': this.product.id,
                },
            },
            actions: ['show', 'update', 'delete', 'restore'],
        });
    },
};
</script>

<template>
    <PageTitle :text="title">
        <RouterLink :to="'product/variation/' + product.id + '/create'" class="btn btn-success">
            {{ __('Создать') }}
        </RouterLink>
    </PageTitle>

    <Index />
</template>
